[![PyPI version](https://badge.fury.io/py/eugene-tools.svg)](https://badge.fury.io/py/eugene-tools)
[![Documentation Status](https://readthedocs.org/projects/eugene-tools/badge/?version=latest)](https://eugene-tools.readthedocs.io/en/latest/?badge=latest)
![PyPI - Downloads](https://img.shields.io/pypi/dm/eugene-tools)
![GitHub stars](https://img.shields.io/github/stars/cartercompbio/EUGENe)

<img src="docs/_static/EugeneLogoText.png" alt="EUGENe Logo" width=350>

# **E**lucidating the **U**tility of **G**enomic **E**lements with **Ne**ural Nets

EUGENe represents a computational framework for machine learning based modeling of regulatory sequences. It is designed after the [Scanpy](https://scanpy.readthedocs.io/en/stable/) package for single cell analysis in Python and is meant to make the development of deep learning workflows in the genomics field more findable, accessible, interoperitable and reproducible (FAIR). EUGENe consists of several modules for handling data and for building, training, evaluating and interpreting deep learners that predict annotations of biological sequences. EUGENe is primarily designed to be used through its Python API and we feel that users will get the most out of it by using a notebook interface (i.e. Jupyter).

EUGENe is a package that is still under construction, so there's a good chance you'll run into an error or two to if you use EUGENe before its first stable release. However, catching these errors is incredbily valuable for us! If you run into such errors or have any questions, please open an issue! You can read the [current documentation](https://eugene-tools.readthedocs.io/en/latest/index.html) here for getting started.
